/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package AccountingMgmt.Budget;

import java.util.Vector;
import java.util.Date;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class BudgetRequest {
    public void makeBudgetRequest() {
    }

    public void addDetail() {
    }

    public BigDecimal calcTotalRequested() {
        return new BigDecimal(0);
    }

    public void complete() {
    }

    public void cancel() {
    }

    /**  */
    public BigDecimal mi_compareRequestWithApprovals() {
        return new BigDecimal(0);
    }

    public static BigDecimal calcTotalBudgetRequests() {
        return new BigDecimal(0);
    }

    public static Vector rankBudgetRequests() {
        return new Vector();
    }

    public static Vector forecastBudgetRequests() {
        return new Vector();
    }

    public static Vector listBudgetRequests() {
        return new Vector();
    }

    private Date dateSubmitted;
    private int intervalReqested;

    /**
     * @shapeType AggregationLink
     * @associates <b>BudgetRequestDetail</b>
     * @clientCardinality 1
     * @supplierCardinality 1..*
     */
    private Vector lnkUnnamed;

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 1..*
     */
    private Budget lnkUnnamed1;
    private int priority;
    private String description;
    private String justification;
    private int status;

    /** @supplierCardinality 1 */
    private IMakeBudgetRequest lnkUnnamed2;

    /**
     *@shapeType AggregationLink
     * @associates <b>BudgetRequest</b>
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     * @supplierRole sub
     */
    private Vector lnkUnnamed4;
}


